ADDFTINFO(1)

NIMI
addftinfo - lisää troffin fonttitiedostoihin tietoa groffin käyttöön

YLEISKATSAUS
addftinfo [-asc-height n] [-body-depth n] [-body-height n] [-cap-height n] [-comma-depth n] [-desc-depth n] [-fig-height n] [-x-height n] res yksikköleveys fontti
addftinfo --help
addftinfo -v
addftinfo --version

KUVAUS
addftinfo lukee troff-fonttitiedoston ja lisää muutamia lisätietoja fonttien mitoituksesta, joita groff-järjestelmä käyttää. Fonttitiedosto, johon lisätiedot on lisätty, kirjoitetaan vakiotulosteeseen. Lisätiedot, jotka lisätään, arvataan käyttämällä parametritietoja fontista ja tekemällä oletuksia perinteisistä troff-nimistä merkeille. Tärkeimmät lisättävät tiedot ovat kirjainten korkeus ja leveys. res- ja yksikköleveys-argumenttien pitäisi olla samat kuin vastaavat parametrit DESC-tiedostossa; fontti on tiedostonimi, joka kuvaa fonttia; jos fontti loppuu I-kirjaimella, fontin oletetaan olevan kursiivinen.

VALITSIMET
-v prints the version number.

All other options change one of the parameters that are used to derive the heights and depths. Kuten kaikki suureet fonttitiedostossa, jokainen arvo on tuumaa/res fonteille, joiden pistekoko on yksikköleveys. param-valitsin:n täytyy olla joku näistä:

-x-height
    Pienten kirjainten, joilla ei ole yläkertaa, kuten x, korkeus.

-fig-height
    Kaavan(numerot) korkeus.

-asc-height
    Merkkien, joilla on yläkerta, kuten b, d ja l, korkeus.

-body-height
    Merkkien kuten sulut korkeus.

-cap-height
    Isojen kirjainten kuten A korkeus.

-comma-depth
    Pilkun leveys.

-desc-depth
    Merkkien, joilla on alakerta, kuten p, q ja y, leveys.

-body-depth
    Merkkien kuten sulut leveys.

addftinfo ei yritä käyttää annettuja parametrejä arvaamaan antamattomia parametrejä. Oletusarvoa käytetään jos parametriä ei anneta. Oletusarvot on valittu Times-fontin arvoista.

KATSO MYÖS
groff_font(5), groff(1), groff_char(7)

You can view a man page name(n) with
        man n nimi
in text mode and with
        groffer n nimi
in graphical mode (PDF, etc.).

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Tommi Vainikainen <mucus@pcuf.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.